%define upstream_name    App-perlall
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Rad) >= 1.40.0
BuildRequires: perl(Cwd) >= 3.300.0
BuildRequires: perl(Devel::PatchPerl) >= 0.460.0
BuildRequires: perl(Devel::Platform::Info)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename) >= 2.740.0
BuildRequires: perl(File::Path) >= 1.80.0
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Cmd) >= 0.460.0
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Pod::Usage) >= 1.330.0
BuildArch:  noarch

%description
perlall is like a better perlbrew with a lot of testing features. The perls are
in the default /usr/local/bin/, and /usr/local/lib/perl5/VERSION paths, instead
of locally, and . You need write access to the default PREFIX /usr/local, e.g.
via sudo. It does not use local::lib, does not mangle PERL5LIB and builds and
keeps sane global perl installations with special suffices, without the need to
save and restore internal states. The suffices are used in postprocessing
scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/perlall
/usr/share/man/man1/perlall.1.xz

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.290.0-2.mga3
+ Revision: 363086
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.290.0-1.mga3
+ Revision: 334777
- update to 0.29

* Sat Dec 15 2012 shlomif <shlomif> 0.280.0-1.mga3
+ Revision: 331069
- update to 0.28

* Fri Dec 07 2012 shlomif <shlomif> 0.270.0-1.mga3
+ Revision: 327809
- Add descript tag
- imported package perl-App-perlall

